<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>RegionSelector (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RegionSelector (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/regions/Regions.html" title="class in com.sk89q.worldedit.regions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/regions/TransformRegion.html" title="class in com.sk89q.worldedit.regions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/regions/RegionSelector.html" target="_top">Frames</a></li>
<li><a href="RegionSelector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.regions</div>
<h2 title="Interface RegionSelector" class="title">Interface RegionSelector</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../com/sk89q/worldedit/regions/selector/ConvexPolyhedralRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">ConvexPolyhedralRegionSelector</a>, <a href="../../../../com/sk89q/worldedit/regions/selector/CuboidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">CuboidRegionSelector</a>, <a href="../../../../com/sk89q/worldedit/regions/selector/CylinderRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">CylinderRegionSelector</a>, <a href="../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">EllipsoidRegionSelector</a>, <a href="../../../../com/sk89q/worldedit/regions/selector/ExtendingCuboidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">ExtendingCuboidRegionSelector</a>, <a href="../../../../com/sk89q/worldedit/regions/selector/Polygonal2DRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">Polygonal2DRegionSelector</a>, <a href="../../../../com/sk89q/worldedit/regions/selector/SphereRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">SphereRegionSelector</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">RegionSelector</span></pre>
<div class="block">Region selectors create <a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions"><code>Region</code></a>s from a series of "selected points."
 They are used, for example, to allow users to create a <a href="../../../../com/sk89q/worldedit/regions/CuboidRegion.html" title="class in com.sk89q.worldedit.regions"><code>CuboidRegion</code></a>
 by selecting two corners of the cuboid.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#clear--">clear</a></span>()</code>
<div class="block">Clear the selection.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#explainPrimarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">explainPrimarySelection</a></span>(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                       <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                       <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Tell the player information about his/her primary selection.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#explainRegionAdjust-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-">explainRegionAdjust</a></span>(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                   <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session)</code>
<div class="block">The the player information about the region's changes.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#explainSecondarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">explainSecondarySelection</a></span>(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                         <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                         <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Tell the player information about his/her secondary selection.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#getArea--">getArea</a></span>()</code>
<div class="block">Get the number of blocks inside the region.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#getIncompleteRegion--">getIncompleteRegion</a></span>()</code>
<div class="block">Get the region even if it's not fully defined.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#getInformationLines--">getInformationLines</a></span>()</code>
<div class="block">Get lines of information about the selection.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#getPrimaryPosition--">getPrimaryPosition</a></span>()</code>
<div class="block">Get the primary position.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#getRegion--">getRegion</a></span>()</code>
<div class="block">Get the selection.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#getTypeName--">getTypeName</a></span>()</code>
<div class="block">Get a lowercase name of this region selector type.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#getWorld--">getWorld</a></span>()</code>
<div class="block">Get the world for the region selector.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#isDefined--">isDefined</a></span>()</code>
<div class="block">Returns whether the region has been fully defined.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#learnChanges--">learnChanges</a></span>()</code>
<div class="block">Update the selector with changes to the region.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#selectPrimary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">selectPrimary</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
             <a href="../../../../com/sk89q/worldedit/regions/selector/limit/SelectorLimits.html" title="interface in com.sk89q.worldedit.regions.selector.limit">SelectorLimits</a>&nbsp;limits)</code>
<div class="block">Called when the first point is selected.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#selectSecondary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">selectSecondary</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
               <a href="../../../../com/sk89q/worldedit/regions/selector/limit/SelectorLimits.html" title="interface in com.sk89q.worldedit.regions.selector.limit">SelectorLimits</a>&nbsp;limits)</code>
<div class="block">Called when the second point is selected.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html#setWorld-com.sk89q.worldedit.world.World-">setWorld</a></span>(<a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</code>
<div class="block">Set the world for the region selector.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getWorld--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWorld</h4>
<pre>@Nullable
<a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;getWorld()</pre>
<div class="block">Get the world for the region selector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a world, which may be null</dd>
</dl>
</li>
</ul>
<a name="setWorld-com.sk89q.worldedit.world.World-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWorld</h4>
<pre>void&nbsp;setWorld(@Nullable
              <a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</pre>
<div class="block">Set the world for the region selector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world, which may be null</dd>
</dl>
</li>
</ul>
<a name="selectPrimary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectPrimary</h4>
<pre>boolean&nbsp;selectPrimary(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                      <a href="../../../../com/sk89q/worldedit/regions/selector/limit/SelectorLimits.html" title="interface in com.sk89q.worldedit.regions.selector.limit">SelectorLimits</a>&nbsp;limits)</pre>
<div class="block">Called when the first point is selected.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if something changed</dd>
</dl>
</li>
</ul>
<a name="selectSecondary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectSecondary</h4>
<pre>boolean&nbsp;selectSecondary(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                        <a href="../../../../com/sk89q/worldedit/regions/selector/limit/SelectorLimits.html" title="interface in com.sk89q.worldedit.regions.selector.limit">SelectorLimits</a>&nbsp;limits)</pre>
<div class="block">Called when the second point is selected.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if something changed</dd>
</dl>
</li>
</ul>
<a name="explainPrimarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>explainPrimarySelection</h4>
<pre>void&nbsp;explainPrimarySelection(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                             <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                             <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block">Tell the player information about his/her primary selection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>actor</code> - the actor</dd>
<dd><code>session</code> - the session</dd>
<dd><code>position</code> - position</dd>
</dl>
</li>
</ul>
<a name="explainSecondarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>explainSecondarySelection</h4>
<pre>void&nbsp;explainSecondarySelection(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                               <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                               <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block">Tell the player information about his/her secondary selection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>actor</code> - the actor</dd>
<dd><code>session</code> - the session</dd>
<dd><code>position</code> - position</dd>
</dl>
</li>
</ul>
<a name="explainRegionAdjust-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>explainRegionAdjust</h4>
<pre>void&nbsp;explainRegionAdjust(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                         <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session)</pre>
<div class="block">The the player information about the region's changes. This may resend
 all the defining region information if needed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>actor</code> - the actor</dd>
<dd><code>session</code> - the session</dd>
</dl>
</li>
</ul>
<a name="getPrimaryPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrimaryPosition</h4>
<pre><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getPrimaryPosition()
                         throws <a href="../../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></pre>
<div class="block">Get the primary position.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the primary position</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></code> - thrown if a region has not been fully defined</dd>
</dl>
</li>
</ul>
<a name="getRegion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRegion</h4>
<pre><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;getRegion()
          throws <a href="../../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></pre>
<div class="block">Get the selection.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the created region</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></code> - thrown if a region has not been fully defined</dd>
</dl>
</li>
</ul>
<a name="getIncompleteRegion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncompleteRegion</h4>
<pre><a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;getIncompleteRegion()</pre>
<div class="block">Get the region even if it's not fully defined.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an incomplete region object that is incomplete</dd>
</dl>
</li>
</ul>
<a name="isDefined--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDefined</h4>
<pre>boolean&nbsp;isDefined()</pre>
<div class="block">Returns whether the region has been fully defined.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a selection is available</dd>
</dl>
</li>
</ul>
<a name="getArea--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArea</h4>
<pre>int&nbsp;getArea()</pre>
<div class="block">Get the number of blocks inside the region.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of blocks, or -1 if undefined</dd>
</dl>
</li>
</ul>
<a name="learnChanges--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>learnChanges</h4>
<pre>void&nbsp;learnChanges()</pre>
<div class="block">Update the selector with changes to the region.</div>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>void&nbsp;clear()</pre>
<div class="block">Clear the selection.</div>
</li>
</ul>
<a name="getTypeName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypeName</h4>
<pre>java.lang.String&nbsp;getTypeName()</pre>
<div class="block">Get a lowercase name of this region selector type.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a lower case name of the type</dd>
</dl>
</li>
</ul>
<a name="getInformationLines--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getInformationLines</h4>
<pre>java.util.List&lt;java.lang.String&gt;&nbsp;getInformationLines()</pre>
<div class="block">Get lines of information about the selection.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of lines describing the region</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/regions/Regions.html" title="class in com.sk89q.worldedit.regions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/regions/TransformRegion.html" title="class in com.sk89q.worldedit.regions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/regions/RegionSelector.html" target="_top">Frames</a></li>
<li><a href="RegionSelector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
